<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.feesapi.bjgl.mapper.YhCbkxxLogMapper">

    <resultMap id="yhCbkxxLogMap" type="com.tofly.feesapi.bjgl.entity.YhCbkxxLog">
        <id property="ljfbz" column="LJFBZ"/>
        <result property="ickno" column="ICKNO"/>
        <result property="logId" column="LOG_ID"/>
        <result property="logLsh" column="LOG_LSH"/>
        <result property="logCzrybm" column="LOG_CZRYBM"/>
        <result property="logCzryxm" column="LOG_CZRYXM"/>
        <result property="logCzsj" column="LOG_CZSJ"/>
        <result property="logCzlx" column="LOG_CZLX"/>
        <result property="logCllx" column="LOG_CLLX"/>
        <result property="logBz" column="LOG_BZ"/>
        <result property="yhbh" column="YHBH"/>
        <result property="cbkh" column="CBKH"/>
        <result property="cbkid" column="CBKID"/>
        <result property="sblb" column="SBLB"/>
        <result property="sbsccj" column="SBSCCJ"/>
        <result property="sbccrq" column="SBCCRQ"/>
        <result property="sbxh" column="SBXH"/>
        <result property="sbkj" column="SBKJ"/>
        <result property="sbbh" column="SBBH"/>
        <result property="sblc" column="SBLC"/>
        <result property="bjwz" column="BJWZ"/>
        <result property="jddj" column="JDDJ"/>
        <result property="cbpl" column="CBPL"/>
        <result property="sbqs" column="SBQS"/>
        <result property="cbxh" column="CBXH"/>
        <result property="ybdjbz" column="YBDJBZ"/>
        <result property="sjbm" column="SJBM"/>
        <result property="slbl" column="SLBL"/>
        <result property="sjbm1" column="SJBM1"/>
        <result property="slbl1" column="SLBL1"/>
        <result property="sjbm2" column="SJBM2"/>
        <result property="slbl2" column="SLBL2"/>
        <result property="sjbm3" column="SJBM3"/>
        <result property="slbl3" column="SLBL3"/>
        <result property="wsfbz" column="WSFBZ"/>
        <result property="fbid" column="FBID"/>
        <result property="bz" column="BZ"/>
        <result property="jfzt" column="JFZT"/>
        <result property="kkbz" column="KKBZ"/>
        <result property="kkrq" column="KKRQ"/>
        <result property="ickid" column="ICKID"/>
        <result property="xkcs" column="XKCS"/>
        <result property="bkcs" column="BKCS"/>
        <result property="zgsl" column="ZGSL"/>
        <result property="zgsje" column="ZGSJE"/>
        <result property="bnljsl" column="BNLJSL"/>
        <result property="bnljje" column="BNLJJE"/>
        <result property="czrybm" column="CZRYBM"/>
        <result property="czryxm" column="CZRYXM"/>
        <result property="czsj" column="CZSJ"/>
        <result property="zxcbrq" column="ZXCBRQ"/>
        <result property="ssfm" column="SSFM"/>
        <result property="ickqyh" column="ICKQYH"/>
        <result property="djrq" column="DJRQ"/>
        <result property="sbzd" column="SBZD"/>
        <result property="xgrybm" column="XGRYBM"/>
        <result property="xgrq" column="XGRQ"/>
        <result property="cdl" column="CDL"/>
        <result property="lgysbz" column="LGYSBZ"/>
        <result property="azry" column="AZRY"/>
        <result property="azrq" column="AZRQ"/>
        <result property="gxh" column="GXH"/>
        <result property="ljffs" column="LJFFS"/>
        <result property="ljfje" column="LJFJE"/>
    </resultMap>

    <select id="getYhCbkxxLogPage" resultMap="yhCbkxxLogMap">
        select a.* from
        YH_CBKXX_LOG a
        left join yh_khjbxx b on a.yhbh=b.yhbh
        <where>
            <if test="filter.searchText != null and filter.searchText != ''">
                (b.yhxm like '%${filter.searchText}%'
                or b.yhbh like '%${filter.searchText}%'
                or b.yhdz like '%${filter.searchText}%'
                or b.lxdh like '%${filter.searchText}%'
                )
            </if>
            <if test="filter.ssgs != null and filter.ssgs != ''">
                and b.ssgs=#{filter.ssgs}
            </if>
            <if test="filter.sscbpq != null and filter.sscbpq != ''">
                and b.sscbpq=#{filter.sscbpq}
            </if>
            <if test="filter.sscbb != null and filter.sscbb != ''">
                and b.sscbb=#{filter.sscbb}
            </if>
            <if test="filter.qyfzr!=null">
                and b.sscbb in(select cbbbm from bm_cbb where qyfzr=#{qyfzr})
            </if>

            <if test="filter.jdrqStart!=null and filter.jdrqEnd!=null">
                and a.log_czsj between #{filter.jdrqStart} and #{filter.jdrqEnd}
            </if>
            <if test="filter.ksrq !=null and filter.jsrq != null">
                and a.log_czsj between #{filter.ksrq} and #{filter.jsrq}
            </if>
        </where>

    </select>
</mapper>
